// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escazu, San Jose, Costa Rica
// dedicado a Jesus y Maria...
//

//
// ********  MATERIALS  *******
//







// Materials from previous exports [MRY]

// Materials exported in this run [MRY]



//  $MRY$: 'Material1'

#include "colors.inc"  
#include "metals.inc"

#declare ADPC_Material1 = 
   material  // Material1
   {   
      texture
      {      
         pigment
         {    
            color 0.25*LightBlue+0.0*CadetBlue+0.75*Gray70
            // CadetBlue
         }
         normal 
         {
           dents
           turbulence   0.5
           scale        0.1
         }
      }
   }

#declare ADPC_Material1B = 
   material  // Material1
   {   
      texture
      {      
         pigment
         {    
            color 0.25*LightBlue+0.0*CadetBlue+0.75*Gray70
            // CadetBlue
         }
         normal 
         {
           agate
           turbulence   0.5
           scale        0.1
         }
      }
   }

//  $MRY$: 'Material2'


#declare ADPC_Material2 = 
   material  // Material2
   {   
      texture
      {      
         pigment
         {
            color rgb <0.4479, 0.4479, 0.4479>
         }
      }
   } 
#declare ADPC_AireCentral       = texture       {
  pigment       {
    spiral1     20
    scale       0.1
    //rotate      90*x
  }
}

#declare ADPC_MetalMotor        = texture       {
  T_Brass_1E
         normal 
         {
           agate
           turbulence   0.5
           scale        0.01
         }
}
 
#declare ADPC_TexturaTronco    = 
texture       {
  pigment       {
  image_map       {
    jpeg        "ADPC_DIB.jpg" 
  }
  translate     -0.33*x-0.50*y
  scale <22,20,20>
  turbulence    0.001
  }
         normal 
         {
           gradient     y
           translate    0.1*z+0.1*y
           turbulence   0.1
           scale        0.5
         }
}

#declare ADPC_TexturaAla       = 
texture       {
  pigment       {
  image_map       {
    jpeg        "ADPC_DIB.jpg" 
  }
  translate     -0.33*x-0.5*y
  scale <22,20,20>
  turbulence    0.001
  }
         normal 
         {
           gradient     y
           translate    0.1*z
           turbulence   0.1
           scale        0.5
         }
  rotate        90*x       
}

#declare ADPC_TexturaLlanta     =
texture         {
  pigment       {
    Gray20
  }
  normal        {
    onion
    scale       0.01
  }
}   

#declare ADPC_TexturaSoporteLlanta      =
texture         {
  T_Chrome_1A
  normal        {
    agate
    scale       0.1
  }
}  
#declare ADPC_TexturaSoporteLlanta2     =
texture         {
  T_Chrome_1C
  normal        {
    agate 
    scale       0.1
  }
} 
                    

#declare ADPC_TexturaAleron             =
texture         { 
         #local Color1  = 0.25*LightBlue+0.75*Gray70;
         #local Color2  = 0.75*CadetBlue+0.25*Gray60;
         pigment
         { 
           gradient x
           rotate       45
           scale        0.1
           turbulence   0.05
           pigment_map  {
             [ 0.0 Color1 ]
             [ 1.0 Color2 ]
           }
         }
         normal 
         {
           dents
           turbulence   0.1
           scale        0.1
         }
}
